#!/bin/bash

# Tests the core auction flow with the added factor of specifying which
# providers are verified.

# import utilities
HERE=$(cd $(dirname $BASH_SOURCE) && pwd)
source $HERE/testutil.sh

colineard tx colinearcore new-auction asdf asdf 200 uusdc $(now + 3700) \
    $ALICE \
    -y --from bob \
    | expect_success "New auction is created" 

colineard tx colinearcore new-bid $(get_last_auction_index) 100 \
    -y --from bob \
    | expect_fail "Unverified provider account can't bid"

colineard tx colinearcore new-bid $(get_last_auction_index) 100 \
    -y --from alice \
    | expect_success "Verified provider account can bid"
